<?php
/*******************************************************************************
* [TuziCMS] 兔子CMS
* @Copyright (C) 2014-2015  http://tuzicms.com   All rights reserved.
* @Team  Yejiao.net
* @Author  秦子诗   QQ：176881336
* @WeiBo  http://weibo.com/tuzicms
* @Licence  http://www.tuzicms.com/license.txt
*******************************************************************************/
namespace Mobile\Controller;
use Think\Controller;
class VerifyController extends Controller {
	/**
	 * 验证码实现
	 */
	public function code(){
		//$w=222;
		$w=isset($_GET['w'])?$_GET['w']:200; //如果没有get传过来的值，则默认其为30
		$h=isset($_GET['h'])?$_GET['h']:32; //如果没有get传过来的值，则默认其为30
// 		$w=I('get.w');
//     	$h=I('get.h');
//     	dump($w);
//     	exit;
		$config = array(
			'fontSize' => 18, 
			'length' => 4,
			'imageW' => $w, 
			'imageH' => $h,
			//'bg' => array(22, 150, 215),
			'useCurve' => true, //是否使用混淆曲线
			'useNoise' => true, //是否添加杂点
			'useImgBg' => false,//是否使用背景图片
			);
        $verify = new \Think\Verify($config);
        $verify->entry(1);
	}

}
